Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.troubleticket
Interface JournalEntry

All Known Implementing Classes:
  JournalEntryImpl

public interface JournalEntry
extends Belonging

Each journal entry logs a change in state, the reason, and times.

                      status
     [JournalEntry] <*>------> [String]

                      effectiveDate
     [JournalEntry] <*>------> [java.sql.Date]

                      agentId
     [JournalEntry] <*>------> [String]

                      notes
     [JournalEntry] <*>------> [String]

                      internal
     [JournalEntry] <*>------> [boolean]

See Also:
  `JournalEntryHome`, `JournalEntryImpl`

Method Summary
`java.lang.String` | `getAgentId()` Get the value of agentId
`java.sql.Date` | `getEffectiveDate()` Get the value of effectiveDate
`boolean` | `getInternal()` Get the value of internal
`java.lang.String` | `getNotes()` Get the value of notes
`java.lang.String` | `getStatus()` Get the value of status
`void` | `setAgentId(java.lang.String agentId)` Set the value of agentId
`void` | `setEffectiveDate(java.sql.Date effectiveDate)` Set the value of effectiveDate
`void` | `setInternal(boolean internal)` Set the value of internal
`void` | `setNotes(java.lang.String notes)` Set the value of notes
`void` | `setStatus(java.lang.String status)` Set the value of status

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getStatus

    public java.lang.String getStatus()

  Get the value of status
  Returns:
    status.

### setStatus

    public void setStatus(java.lang.String status)

  Set the value of status
  Parameters:
    `statuses` - status to be added

### getEffectiveDate

    public java.sql.Date getEffectiveDate()

  Get the value of effectiveDate
  Returns:
    effectiveDate.

### setEffectiveDate

    public void setEffectiveDate(java.sql.Date effectiveDate)

  Set the value of effectiveDate
  Parameters:
    `effectiveDates` - effectiveDate to be added

### getAgentId

    public java.lang.String getAgentId()

  Get the value of agentId
  Returns:
    agentId.

### setAgentId

    public void setAgentId(java.lang.String agentId)

  Set the value of agentId
  Parameters:
    `agentIds` - agentId to be added

### getNotes

    public java.lang.String getNotes()

  Get the value of notes
  Returns:
    notes.

### setNotes

    public void setNotes(java.lang.String notes)

  Set the value of notes
  Parameters:
    `noteses` - notes to be added

### getInternal

    public boolean getInternal()

  Get the value of internal
  Returns:
    internal.

### setInternal

    public void setInternal(boolean internal)

  Set the value of internal
  Parameters:
    `internals` - internal to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.